<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        if (!Schema::hasColumn('exams', 'class')) {
            Schema::table('exams', function (Blueprint $table) {
                $table->string('class')->nullable()->after('batch_id');
            });
        }
    }

    public function down()
    {
        Schema::table('exams', function (Blueprint $table) {
            $table->dropColumn('class');
        });
    }
};
